<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li class="current"><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>readAddEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#a2f04a7b6741580d694fb492ddad9e552">TIGLMutationMessage</a>
</li>
<li>readAddVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#a9985aad84627e17146f6413e8d117766">TIGLMutationMessage</a>
</li>
<li>readEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#aa74f399c9cebff04a96b3404a51c5e1b">TIGLMutationMessage</a>
</li>
<li>readEmptyVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#af3b1ee90ab9cad65a113cdd51cfd9522">TIGLMutationMessage</a>
</li>
<li>readMessageBody()
: <a class="el" href="classTIGLCommunicationSysMessage.html#a4febc9dd66edd3bcc1d2f15914431732">TIGLCommunicationSysMessage</a>
</li>
<li>readRemoveEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#a4b5d767c6ed05892eed00407a290e599">TIGLMutationMessage</a>
</li>
<li>readSimpleEdgeMessage()
: <a class="el" href="classTIGLMutationMessage.html#a7f613f63ba43876ccfb71c8345062cfc">TIGLMutationMessage</a>
</li>
<li>readSimpleVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#a7dcf60d501682468cf9eaf3ff3991713">TIGLMutationMessage</a>
</li>
<li>readSubgraphFromFile()
: <a class="el" href="classTIGL.html#ab8062bd5f494beded1afd864d055bcb9">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>readVertexMessage()
: <a class="el" href="classTIGLMutationMessage.html#afaadae81d282d01fa6890bb5ec7c51ad">TIGLMutationMessage</a>
</li>
<li>RecvNewMessages()
: <a class="el" href="classTIGLCommunicationManager.html#af5e85a0e37d05127470d05c8d2918fb3">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>remoteMutateDistributedGraph()
: <a class="el" href="classTIGL.html#a10779a76581ed8a3a88e312eb800e0ba">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>removeEdge()
: <a class="el" href="classTIGLContainersVertexBase.html#a355bc674650678249bd53adc12f1cb4d">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>removeInEdge()
: <a class="el" href="classTIGLContainersBiVertexBase.html#a7fee3ae0da7b58798d13a8c10869618b">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#aa1c6226429fec67e1dd4e7f368d9ede0">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>removeOutEdge()
: <a class="el" href="classTIGLContainersSubgraphBase.html#a6b753a0835bd3c53821161f728ff2ec7">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>removeVertex()
: <a class="el" href="classTIGLContainersSubgraphBase.html#a802c364b5f7d1d6b58ba1d85eec70003">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>reset()
: <a class="el" href="classTIGL.html#a6c1e8c5e4654394c45d764b4fcc65a87">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLCommunicationManager.html#a30a2c22cbf92ae9c15153bdbc6a5f4ca">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
, <a class="el" href="structTIGLCommunicationMessageDev.html#af192ef0016b471e4a3641792f64f2a03">TIGLCommunicationMessageDev</a>
, <a class="el" href="classTIGLComputationManager.html#a62094a2a7cc365e474911c8cdcf2f42d">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
, <a class="el" href="classTIGLContainersSubgraph.html#aa85af7f6d4c27545d474ac1da2e1570c">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersSubgraphBase.html#ae212d67e8129f85b2e4761aae98de3c0">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>resetMessageBuf()
: <a class="el" href="classTIGLContainersSubgraph.html#af154aabcef003cd911868ff0cf9c855e">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>run()
: <a class="el" href="classTIGL.html#a7ab28bce4a032f285d88b973ab982053">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>rxTask()
: <a class="el" href="classTIGL.html#aa8910cce1cf6449d4119f32f79583a75">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
